Bug 1572828 - ValueError: new size same as old size
Summary: ValueError: new size same as old size
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vendula Poncova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:45f0b71f6bbc84ea6d681d6cec7...
: 1614462 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-28 01:30 UTC by jyn514
Modified: 2018-11-30 22:25 UTC (History)
8 users (show)

Fixed In Version: anaconda-29.24-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:25:42 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (979.36 KB, text/plain)
2018-04-28 01:30 UTC, jyn514
no flags Details
File: anaconda.log (113.05 KB, text/plain)
2018-04-28 01:30 UTC, jyn514
no flags Details
File: environ (590 bytes, text/plain)
2018-04-28 01:30 UTC, jyn514
no flags Details
File: journalctl (334.96 KB, text/plain)
2018-04-28 01:30 UTC, jyn514
no flags Details
File: lsblk_output (2.33 KB, text/plain)
2018-04-28 01:30 UTC, jyn514
no flags Details
File: nmcli_dev_list (2.11 KB, text/plain)
2018-04-28 01:30 UTC, jyn514
no flags Details
File: os_info (596 bytes, text/plain)
2018-04-28 01:30 UTC, jyn514
no flags Details
File: program.log (55.71 KB, text/plain)
2018-04-28 01:30 UTC, jyn514
no flags Details
File: storage.log (375.46 KB, text/plain)
2018-04-28 01:30 UTC, jyn514
no flags Details
File: ifcfg.log (6.64 KB, text/plain)
2018-04-28 01:30 UTC, jyn514
no flags Details

Description jyn514 2018-04-28 01:30:16 UTC
Description of problem:
When creating new partition in manual partitioning, set drive size to greater than size of disk (611 GB out of 500 GB on disc). 
Goal was to occupy maximum space; received value error instead.
This was in selector, not when writing to disc.

Additional details:
Disk free: approx 150 GB
Several other file systems present on disc, including NTFS, ext4, and UEFI BIOS
Drive was to be created as ext4

Version-Release number of selected component:
anaconda-core-27.20.4-4.fc27.x86_64

The following was filed automatically by anaconda:
anaconda 27.20.4-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.6/site-packages/blivet/deviceaction.py", line 448, in __init__
    raise ValueError("new size same as old size")
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/blivet.py", line 1190, in resize_device
    actions.append(ActionResizeDevice(device, new_size))
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/ui/gui/spokes/custom_storage.py", line 814, in _handle_size_change
    self._storage_playground.resize_device(use_dev, use_size)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/ui/gui/spokes/custom_storage.py", line 133, in decorated
    return func(*args, **kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/ui/gui/spokes/custom_storage.py", line 1222, in _save_right_side
    self._handle_size_change(size, old_size, device)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/ui/gui/spokes/custom_storage.py", line 2779, in on_update_settings_clicked
    self._save_right_side(self._accordion.current_selector)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/ui/gui/utils.py", line 267, in _run_once_one_arg
    self._func(*args, **kwargs)
ValueError: new size same as old size

Additional info:
addons:         com_redhat_kdump
blivet-gui-utils.log: 
cmdline:        /usr/libexec/system-python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz root=live:CDLABEL=Fedora-WS-Live-27-1-6 rd.live.image quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.13.9-300.fc27.x86_64
other involved packages: python3-blivet-2.1.11-3.fc27.noarch, anaconda-gui-27.20.4-4.fc27.x86_64
product:        Fedora
release:        Fedora release 27 (Twenty Seven)
type:           anaconda
version:        27

Comment 1 jyn514 2018-04-28 01:30:22 UTC
Created attachment 1427902 [details]
File: anaconda-tb

Comment 2 jyn514 2018-04-28 01:30:24 UTC
Created attachment 1427903 [details]
File: anaconda.log

Comment 3 jyn514 2018-04-28 01:30:25 UTC
Created attachment 1427904 [details]
File: environ

Comment 4 jyn514 2018-04-28 01:30:27 UTC
Created attachment 1427905 [details]
File: journalctl

Comment 5 jyn514 2018-04-28 01:30:27 UTC
Created attachment 1427906 [details]
File: lsblk_output

Comment 6 jyn514 2018-04-28 01:30:28 UTC
Created attachment 1427907 [details]
File: nmcli_dev_list

Comment 7 jyn514 2018-04-28 01:30:29 UTC
Created attachment 1427908 [details]
File: os_info

Comment 8 jyn514 2018-04-28 01:30:31 UTC
Created attachment 1427909 [details]
File: program.log

Comment 9 jyn514 2018-04-28 01:30:32 UTC
Created attachment 1427910 [details]
File: storage.log

Comment 10 jyn514 2018-04-28 01:30:33 UTC
Created attachment 1427911 [details]
File: ifcfg.log

Comment 11 Vendula Poncova 2018-08-13 13:01:52 UTC
*** Bug 1614462 has been marked as a duplicate of this bug. ***

Comment 12 Vendula Poncova 2018-08-21 12:32:31 UTC
Fixed in a pull request: https://github.com/rhinstaller/anaconda/pull/1577

Comment 13 Ben Cotton 2018-11-27 14:46:17 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2018-11-30 22:25:42 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.